mbed TLS v2.23.0

Data Structures | Typedefs
crypto_entropy_driver.h File Reference

PSA entropy source driver module. More...

`#include "crypto_driver_common.h"`
Include dependency graph for crypto_entropy_driver.h:

Go to the source code of this file.

## Data Structures
struct | psa_drv_entropy_t
| A struct containing all of the function pointers needed to interface to an entropy source. More...

## Typedefs
typedef psa_status_t(* | psa_drv_entropy_init_t) (void *p_context)
| Initialize an entropy driver. More...
typedef psa_status_t(* | psa_drv_entropy_get_bits_t) (void *p_context, uint8_t *p_buffer, uint32_t buffer_size, uint32_t *p_received_entropy_bits)
| Get a specified number of bits from the entropy source. More...

## Detailed Description

PSA entropy source driver module.

This header declares types and function signatures for entropy sources.

This file is part of the PSA Crypto Driver Model, containing functions for driver developers to implement to enable hardware to be called in a standardized way by a PSA Cryptographic API implementation. The functions comprising the driver model, which driver authors implement, are not intended to be called by application developers.

Definition in file crypto_entropy_driver.h.